import Collapsible from "../../../components/Collapsible";

export  function Sources(){
    return(
      <div>
        <Collapsible id="wiki-icons" title="Images and Icons" >
        Most teams need a lot of pictures, components, icons and alike. They can be difficult to find, especially free and open source ones.
        
          <ul>
            <li> <a href="https://bioicons.com/"> https://bioicons.com/</a> </li>
            <li> <a href="https://togotv.dbcls.jp/en/pics.html" > https://togotv.dbcls.jp/en/pics.html </a> </li>
            <li> <a href="https://smart.servier.com/" >https://smart.servier.com/</a> </li>
            <li> <a href="https://openclipart.org/" > https://openclipart.org/</a> </li>
            <li> <a href="https://commons.wikimedia.org/wiki/Category:SVG_files" >https://commons.wikimedia.org/wiki/Category:SVG_files</a> </li>
            <li> <a href="https://www.flaticon.com/">https://www.flaticon.com/</a> </li>
            <li> <a href="https://biologicalicons.com/en">https://biologicalicons.com/en</a> </li>
            <li> <a href="https://www.svgrepo.com/">https://www.svgrepo.com/</a> </li>
            <li> <a href="https://www.humanbiomedia.org/">https://www.humanbiomedia.org/</a> </li>
          </ul>
  
        </Collapsible>
        <Collapsible id="wiki-colors" title="Colours" >
          Need a slightly lighter version of one of your colors or a mix of two colours? 
          <ul>
            <li><a href="https://www.w3schools.com/colors/colors_mixer.asp"> https://www.w3schools.com/colors/colors_mixer.asp</a></li>
          </ul>
        </Collapsible>
        <Collapsible id="wiki-tools" title="Coding Tools">
          Generators
          <ul>
            <li><a href="https://www.cssportal.com/">https://www.cssportal.com/</a></li>
            <li><a href="https://htmlcss.tools/">https://htmlcss.tools/</a></li>
          </ul>
        </Collapsible>
  
        <Collapsible id="wiki-placeholder" title="Placeholders">
          <ul>
            <li><a href="https://www.loremipsum.de/">https://www.loremipsum.de/</a></li>
          </ul>
        </Collapsible>
  
        <Collapsible id="wiki-svgs" title="SVGs">
          <ul>
            <li><a href="https://superdesigner.co/tools/svg-backgrounds">https://superdesigner.co/tools/svg-backgrounds</a></li>
          </ul>
        </Collapsible>
  
        <Collapsible id="wiki-accessibility" title="Accessibility">
        <ul>
          <li><a href="https://schema.org">https://schema.org</a></li>
        </ul>
        </Collapsible>
      </div>
  
    )
  } 